AdminController Methods

The AdminController type exposes the following members.

Methods
  NameDescription
Public methodClearCaches
POST /Admin/Clear Clears the specified caches.
Public methodDiagnostics
GET /Admin/DiagnosticsFile Gets application and system diagnostics.
Protected methodEnsureCallerContext
If the current context is not already the specified context, creates a new caller context which is a clone of the specified context and sets it as the current one.
(Inherited from ApiControllerBase.)
Protected methodEnsureFormFileMultipartContent
Ensures when form files are access the content is MIME multi-part which we want.
(Inherited from ApiControllerBase.)
Public methodGetApplicationInfo
GET /Admin/ApplicationInfo Gets information about the application.
Protected methodGetClientIdFromCookieOrProvided
Gets the client ID from cookie or from the provided value, which is usually from the query string.
(Inherited from ApiControllerBase.)
Public methodGetSchedulerLastSeenTime
GET /Admin/SchedulerLastSeenTime/ Gets the last seen time of the scheduler.
Protected methodGetServiceT
Gets the requested service.
(Inherited from ApiControllerBase.)
Protected methodGetSessionIdFromCookieHeaderOrProvided
Gets the session ID from cookie, the authorization header or from the provided value, which is usually from the query string.
(Inherited from ApiControllerBase.)
Public methodGetSystemPerformance
GET /Admin/SystemPerformance Gets information about the system performance.
Public methodGetSystemStatistics
GET /Admin/SystemStatistics Get the stats for the application.
Protected methodLoadSession
Creates a new caller context associated with the specified session ID. The session is not validated.
(Inherited from ApiControllerBase.)
Protected methodRequestFirstFormFile
Retrieves the first form file from the request.
(Inherited from ApiControllerBase.)
Protected methodRequestFormFiles
Retrieves the form files from the request.
(Inherited from ApiControllerBase.)
Protected methodReturnInvalidWindowsIdentityResponse
Returns the invalid windows identity response to challenge the browser.
(Inherited from ApiControllerBase.)
Top
See Also